<?php
/**
 * MVClasses
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * @category    MVClasses
 * @package     EventHandler
 * @copyright   Copyright (c) 2007 Sven Strittmatter
 */

/**
 * @see EventHandler
 */
require_once dirname(__FILE__)."/EventHandler.php";

/**
 * Enter description here...
 * 
 * Longdesc
 *
 * @todo complete description
 *
 * @category    MVClasses
 * @package 	EventHandler
 * @uses        Registry
 * @copyright 	Copyright (c) 2007 Sven Strittmatter
 * @author	"Sven Strittmatter" <ausserirdisch@sven-space.de>
 * @version 	1.0
 * @link        http://www.sven-space.de/code/php/MVClasses
 */
class AuthLoggingHandler implements EventHandler {
    private $_log;
	
    public function __construct($log) {
        $this->_log = $log;
    }
	
    public function handle(Event $e) {
        $auth_data = $e->getInfo();
	$fields = array(
            date("Y-m-d H:i:s"),
            Registry::getInstance()->getRequest()->getRemoteAddress(),
            $e->getName(),
            $auth_data['username'],
            $auth_data['password']
	);
		
	error_log(implode("|", $fields) . "\n", 3, $this->_log);
    }
}
