<?php
/**
 * MVClasses
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * @category    MVClasses
 * @package     EventHandler
 * @copyright   Copyright (c) 2007 Sven Strittmatter
 */

/**
 * @see EventHandler
 */
require_once dirname(__FILE__)."/EventHandler.php";
/**
 * @see Registry
 */
require_once dirname(__FILE__)."/../../Registry/Registry.php";

/**
 * Enter description here...
 *
 * Longdesc
 *
 * @todo complete description
 *
 * @category    MVClasses
 * @package 	EventHandler
 * @uses        Registry
 * @copyright 	Copyright (c) 2007 Sven Strittmatter
 * @author	"Sven Strittmatter" <ausserirdisch@sven-space.de>
 * @version 	1.0
 * @link        http://www.sven-space.de/code/php/MVClasses
 */
class IpBlockHandler implements EventHandler {
	protected $_ips;
	
	public function __construct($blocked_ips) {
		$this->_ips = $blocked_ips;
	}
	
	public function handle(Event $e) {
		$request = Registry::getInstance()->getRequest();
		
		if (in_array($request->getRemoteAdress, $this->_ips)) {
			$e->cancel();
		}
	}
}
?>